<template>
  <li
    class="ecl-breadcrumb__segment"
    :class="{
      'active': active,
      'ecl-breadcrumb__current-page': active,
    }"
  >
    <component
      :is="getComponent()"
      v-bind="anchorProps"
      :class="{
        'ecl-link ecl-link--standalone ecl-link--no-visited ecl-breadcrumb__link DEUBlue': !active,
      }"
    > 
      <slot>{{ text }}</slot>
    </component>
    <BreadcrumbsSeparator v-if="!disableSeparator" />
  </li>
</template>

<script>
import { defineComponent } from 'vue';
import BreadcrumbsSeparator from './BreadcrumbsSeparator.vue';

export default defineComponent({
  name: 'BreadcrumbsItem',
  props: {
    to: {
      type: [String, Object],
      default: null,
    },
    href: {
      type: String,
      default: null,
    },
    text: {
      type: String,
      default: null,
    },
    active: {
      type: Boolean,
      default: false,
    },
    disableSeparator: {
      type: Boolean,
      default: false,
    },
  },
  components: {
    BreadcrumbsSeparator,
  },
  computed: {
    useRouterLink() {
      return this.to !== null;
    },
    anchorProps() {
      return {
        ...this.useRouterLink
          ? { to: this.to }
          : { href: this.href },
        ...this.active
          ? { 'aria-current': 'page' }
          : {},
      };
    },
  },
  methods: {
    getComponent() {
      if (this.active) {
        return 'span';
      }
      return this.useRouterLink ? 'router-link' : 'a';
    },
  },
});
</script>

<style>
.DEUBlue{
  color: #0E47CB !important;
  font: normal normal 400 1rem / 1.5rem arial, sans-serif;
  font-size: 16px !important;
  font-weight: 400 !important;

}

.ecl-breadcrumb__current-page{
  font: normal normal 400 1rem / 1.5rem arial, sans-serif;
  font-size: 16px !important;
  font-weight: 400 !important;
  color: #515560 !important;
}
</style>
